﻿@{
    ViewData["Title"] = "Detail";
}
@model Movie

<div class="card mb-3 small shadow offset-md-1 col-md-10">
    <div class="row g-0">
        <div class="col-md-3">
            <img src=~/image/@Model.MoviePoster class="img-fluid rounded-start">
        </div>
        <div class="col-md-9">
            <div class="card-body">
                <h2 class="card-title">@Model.TitleVf</h2>
                <hr />
                <p class="text-secondary h4 my-2"> @Model.TitleVo</p>

                <p class="fs-5">
                    <span class="mx-3 badge bg-secondary">@Model.ReleaseDate.Value.Year</span> <span class="mx-3 badge bg-secondary">@Model.Nationality.Name</span> <span class="mx-3 badge bg-secondary">@Model.Genre.Name</span> <span class="mx-2
3 badge bg-secondary">@Model.Duration minutes</span>
                </p>
                @if(Model.Realisators.Count>0)
                {
                <p class="card-text h5">
                    Réalisateur:
                    @foreach (var real in Model.Realisators)
                    {
                        <a class="mr-4">@real.FirstName @real.LastName</a>
                    }
                </p>
                }
                @if(Model.Actors.Count > 0)
                {
                    <p class="card-text h5">
                        Acteurs:
                        @foreach (var act in Model.Actors)
                        {
                            <a class="mr-4">@act.FirstName @act.LastName</a>
                        }
                    </p>
                }
                <p class="card-text h5">@Model.Summary</p>
            </div>
        </div>
    </div>
</div>
<a class="offset-md-5 col-md-2 btn btn-primary my-5" asp-controller="Home" asp-action="Index">Retour</a>


